<div class="main-view">
    <div id="project-category">
        <div class="container-fixed w-100 mr-auto ml-auto text-center">
            <div
                class="d-inline-block col-fixed w-100 pr-0 pb-4 pl-0 text-center"
                *ngFor="let projectCategory of data.projectCategory$">
                <a
                    class="btn align-top rounded-xxl p-0"
                    routerLink="../Project/{{ projectCategory.initial }}"
                    routerLinkActive="active">
                    <div class="d-block logo w-100 border rounded-xxl rounded-bottom-0 text-light p-3">
                        <i class="{{ projectCategory.logo }} size52"></i>
                        <span class="badge badge-danger ml-2 regular">
                            {{ projectCategory.projectCount | number }}
                        </span>
                    </div>
                    <div class="d-block name w-inherit pt-2 pr-3 pb-3 pl-3 regular text-light">
                        <span class="bold size18">
                            {{ projectCategory.name[appService.lang] | titlecase }}
                        </span>
                        <br />
                        <span class="size16 initial">
                            ( {{ projectCategory.initial | uppercase }} )
                        </span>
                    </div>
                </a>
            </div>
        </div>
    </div>
    <div
        class="registration-status pb-4"
        id="registration-nowopen">
        <div class="container-fluid pr-0 pl-0">
            <div class="section-header text-center">
                <span class="regular text-black size24">
                    {{ 'registration.nowOpen' | translate | titlecase }}
                </span>
                <div class="divider mt-2 mb-0">
                    <div class="divider-inner"></div>
                </div>
            </div>
            <div
                class="d-block border border-success rounded-xxl mr-auto ml-auto"
                *ngIf="
                    !data.transProject.registrationNowOpen$ ||
                    data.transProject.registrationNowOpen$.length === 0
                ">
            </div>
            <div class="container-fixed w-100 mr-auto ml-auto"
                *ngIf="
                    data.transProject.registrationNowOpen$ &&
                    data.transProject.registrationNowOpen$.length > 0
                ">
                <ng-container
                    *ngTemplateOutlet="
                        transProjectInfo;
                        context: {
                            data: data.transProject.registrationNowOpen$
                        }">
                </ng-container>
            </div>
        </div>
    </div>
    <div
        class="registration-status"
        id="registration-comingsoon"
        [ngClass]="{
            'pb-3': (
                !data.transProject.registrationComingSoon$ ||
                data.transProject.registrationComingSoon$.length === 0
            )
        }">
        <div class="container-fluid pr-0 pl-0">
            <div class="section-header text-center">
                <span class="regular text-black size24">
                    {{ 'registration.comingSoon' | translate | titlecase }}
                </span>
                <div class="divider mt-2 mb-0">
                    <div class="divider-inner"></div>
                </div>
            </div>
            <div
                class="d-block border border-warning rounded-xxl mr-auto ml-auto"
                *ngIf="
                    !data.transProject.registrationComingSoon$ ||
                    data.transProject.registrationComingSoon$.length === 0
                ">
            </div>
            <div
                class="container-fixed w-100 mr-auto ml-auto"
                *ngIf="
                    data.transProject.registrationComingSoon$ &&
                    data.transProject.registrationComingSoon$.length > 0
                ">
                <ng-container
                    *ngTemplateOutlet="
                        transProjectInfo;
                        context: {
                            data: data.transProject.registrationComingSoon$
                        }">
                </ng-container>
            </div>
        </div>
    </div>
</div>
<ng-template
    #transProjectInfo
    let-data="data">
    <owl-carousel [options]="carouselOptions">
        <div
            class="item card-col"
            *ngFor="let project of data">
            <div class="card card-vertical rounded-xxl w-100 h-100 project-card-vertical text-left">
                <div class="card-body p-0 project-body">
                    <div class="card-text">
                        <ng-container
                            *ngTemplateOutlet="
                                titleInfo;
                                context: {
                                    data: project
                                }">
                        </ng-container>
                        <div class="pt-3 pr-3 pb-2 pl-3">
                            <ng-container
                                *ngTemplateOutlet="
                                    projectInfo;
                                    context: {
                                        data: project
                                    }">
                            </ng-container>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-center bg-transparent pt-0 pr-3 pb-2 pl-3 border-top-0">
                    <div class="mb-2">
                        <a
                            class="btn rounded-pill"
                            [ngClass]="{
                                'btn-outline-success': project.registrationStatus === 'Y',
                                'btn-outline-warning': project.registrationStatus !== 'Y'
                            }"
                            href="javascript:void(0)"
                            (click)="projectService.getModalTransProject(project)">
                            <span class="regular size16">
                                {{ 'detail' | translate | titlecase }}
                            </span>
                        </a>
                    </div>
                    <div class="text-truncate">
                        <a
                            class="link regular size13"
                            routerLink="../Project/{{project.project.category.initial}}">
                            #{{ project.project.category.name[appService.lang] | titlecase }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </owl-carousel>
</ng-template>
<ng-template
    #titleInfo
    let-data="data">
    <div class="title-info project-title-info">
        <div class="embed-responsive embed-responsive-16by9 project-logo">
            <div
                class="card-img rounded-top-xxl"
                [ngStyle]="{
                    'background-image': ('url(' + data.project.logo + ')')
                }">
            </div>
            <a
                class="enlarge"
                href="javascript:void(0)"
                (click)="appService.enlargeImage(data.project.logo)">
                <i class="fas fa-expand text-white size18"></i>
            </a>
        </div>
    </div>
</ng-template>
<ng-template
    #projectInfo
    let-data="data">
    <div class="project-info">
        <p class="bold size18 mb-0">
            {{ data.project.name[appService.lang] }}
        </p>
        <div
            class="regular text-info size14 mt-1"
            *ngIf="data.description[appService.lang]">
            {{ data.description[appService.lang] }}
        </div>
    </div>
    <div class="project-openonlyfor-info">
        <div
            class="regular text-dark"
            *ngIf="appService.doIsEmptyObject(data.userTypeSpecific) === false">
            <span class="bold size15">
                {{ 'openOnlyFor' | translate | titlecase }}
            </span>
            <div
                class="usertype text-dark mt-1"
                *ngFor="let userTypeSpecific of data.userTypeSpecific | keyvalue: appService.doObjectUnsorted">
                - {{ ('userType.' + userTypeSpecific.key) | translate | lowercase }}
                <div
                    class="usertype-property text-muted size12"
                    *ngIf="appService.doIsEmptyObject(userTypeSpecific.value) === false">
                    <div *ngFor="let userTypeSpecificProperty of userTypeSpecific.value | keyvalue">
                        {{ ('userType.property.' + userTypeSpecificProperty.key) | translate | lowercase }}
                        {{ userTypeSpecificProperty.value }}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div
        class="project-seatamount-info"
        *ngIf="data.registrationStatus === 'Y'">
        <ngb-progressbar
            type="success"
            [value]="data.seatReserved"
            [max]="data.maximumSeat">
        </ngb-progressbar>
        <div class="seatamount d-table w-100">
            <div class="d-table-cell">
                <span class="bold text-black-50 size12">
                    <span class="regular text-dark">
                        {{ 'project.progress.seat' | translate | lowercase }}
                    </span>
                    {{ (data.maximumSeat | number) }} / {{ (data.seatReserved | number) }}
                </span>
            </div>
            <div class="d-table-cell w-auto text-right">
                <span class="bold text-black-50 size12">
                    <span class="regular text-dark">
                        {{ 'project.progress.available' | translate | lowercase }}
                    </span>
                    {{ (data.maximumSeat - data.seatReserved) | number }}
                </span>
            </div>
        </div>
    </div>
</ng-template>
